> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fleetit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update

> Update a vehicle by ID.

<Warning>Plate number and plate state cannot be updated after vehicle creation.</Warning>

<Note>Custom fields are set at the fleet level by FleetIT. You can update the values of existing custom fields, but you cannot create new custom field names or modify the field structure.</Note>


## OpenAPI

````yaml patch /v2/vehicles/{id}/
openapi: 3.0.3
info:
  title: Fleet IT Customer API
  version: 2.0.0
  description: >-
    Public API for Fleet IT platform customers.


    For detailed guides, authentication setup, error codes, and integration
    examples, see the [Fleet IT
    Documentation](https://docs.fleetit.com/documentation/overview).


    ## Headers


    All authenticated endpoints accept an optional `Fleet-Id` header (integer)
    to specify which fleet to operate on. If omitted, the user's default fleet
    is used.
servers: []
security:
  - JWT: []
  - APIKey: []
externalDocs:
  url: https://docs.fleetit.com/documentation/overview
  description: Fleet IT Documentation
paths:
  /v2/vehicles/{id}/:
    patch:
      tags:
        - Vehicles
      description: Vehicle Model View Set
      operationId: v2_vehicles_partial_update
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          description: A unique integer value identifying this vehicle.
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedVehicle'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedVehicle'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedVehicle'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Vehicle'
          description: ''
components:
  schemas:
    PatchedVehicle:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        plate_number:
          type: string
          maxLength: 15
        plate_state:
          type: string
          maxLength: 2
        vehicle_number:
          type: string
          maxLength: 20
        active:
          type: boolean
        vehicle_make:
          type: string
          nullable: true
          maxLength: 50
        vehicle_model:
          type: string
          nullable: true
          maxLength: 50
        year:
          type: string
          nullable: true
          maxLength: 5
        lessee_renter:
          type: string
          nullable: true
          title: Lessee/Renter
          maxLength: 255
        custom_fields:
          type: string
          readOnly: true
        vehicle_type_code:
          type: string
          nullable: true
          maxLength: 15
        added_date:
          type: string
          format: date-time
          readOnly: true
        fleet:
          allOf:
            - $ref: '#/components/schemas/Fleet'
          readOnly: true
    Vehicle:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        plate_number:
          type: string
          maxLength: 15
        plate_state:
          type: string
          maxLength: 2
        vehicle_number:
          type: string
          maxLength: 20
        active:
          type: boolean
        vehicle_make:
          type: string
          nullable: true
          maxLength: 50
        vehicle_model:
          type: string
          nullable: true
          maxLength: 50
        year:
          type: string
          nullable: true
          maxLength: 5
        lessee_renter:
          type: string
          nullable: true
          title: Lessee/Renter
          maxLength: 255
        custom_fields:
          type: string
          readOnly: true
        vehicle_type_code:
          type: string
          nullable: true
          maxLength: 15
        added_date:
          type: string
          format: date-time
          readOnly: true
        fleet:
          allOf:
            - $ref: '#/components/schemas/Fleet'
          readOnly: true
      required:
        - added_date
        - custom_fields
        - fleet
        - id
    Fleet:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        regions:
          type: array
          items:
            type: integer
            writeOnly: true
          writeOnly: true
        region_details:
          type: array
          items:
            $ref: '#/components/schemas/Region'
          readOnly: true
        title:
          type: string
          maxLength: 255
        is_active:
          type: boolean
        billing_type:
          $ref: '#/components/schemas/BillingTypeEnum'
        onboarding_stage:
          $ref: '#/components/schemas/OnboardingStageEnum'
        warning_threshold_per_vehicle:
          type: string
          format: decimal
          pattern: ^-?\d{0,5}(?:\.\d{0,2})?$
          nullable: true
        deactivation_threshold_per_vehicle:
          type: string
          format: decimal
          pattern: ^-?\d{0,5}(?:\.\d{0,2})?$
          nullable: true
        client:
          type: string
          nullable: true
          maxLength: 100
        onboarding_vehicle_order:
          type: integer
          nullable: true
      required:
        - id
        - region_details
        - regions
    Region:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        title:
          type: string
          maxLength: 70
      required:
        - id
        - title
    BillingTypeEnum:
      enum:
        - PREPAID
        - POSTPAID
      type: string
      description: |-
        * `PREPAID` - prepaid
        * `POSTPAID` - postpaid
    OnboardingStageEnum:
      enum:
        - INITIAL
        - FLEET_NAMED
        - VEHICLES_ADDED
        - COMPLETED
      type: string
      description: |-
        * `INITIAL` - Initial
        * `FLEET_NAMED` - Fleet Named
        * `VEHICLES_ADDED` - Vehicles Added
        * `COMPLETED` - Completed
  securitySchemes:
    JWT:
      type: http
      scheme: bearer
      bearerFormat: JWT
    APIKey:
      type: apiKey
      in: header
      name: Authorization

````